import { r as registerInstance, h, H as Host } from './index-e3f64949.js';

const balHintTitleCss = "@-webkit-keyframes spinAround{from{-webkit-transform:rotate(0deg);transform:rotate(0deg)}to{-webkit-transform:rotate(359deg);transform:rotate(359deg)}}@keyframes spinAround{from{-webkit-transform:rotate(0deg);transform:rotate(0deg)}to{-webkit-transform:rotate(359deg);transform:rotate(359deg)}}.sc-bal-hint-title-h{display:block;font-family:MetaPro, Arial, sans-serif}.sc-bal-hint-title-h .title.sc-bal-hint-title{margin-top:0;font-family:MetaPro, Arial, sans-serif}";

const HintTitle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Host, null, h("h3", { class: "title is-size-3 has-text-white" }, h("slot", null))));
  }
};
HintTitle.style = balHintTitleCss;

export { HintTitle as bal_hint_title };
